petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPCGGetNormD

Got norm of the direction.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPCGGetNormD(KSP ksp, PetscReal *norm_d)

Collective on ksp

### Input Parameters

| ksp | - the iterative context
| norm_d | - the norm of the direction

### See Also

KSP, KSPCG, KSPNASH, KSPSTCG, KSPGLTR

### Level

advanced

### Location

src/ksp/ksp/impls/cg/cgtype.c

### Implementations

KSPCGGetNormD_GLTR in src/ksp/ksp/impls/cg/gltr/gltr.c
KSPCGGetNormD_NASH in src/ksp/ksp/impls/cg/nash/nash.c
KSPCGGetNormD_STCG in src/ksp/ksp/impls/cg/stcg/stcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages